#pragma once

#include "CoreMinimal.h"
#include "BaseSurvivorAnimInstance.h"
#include "GameplayTagContainer.h"
#include "SteamPipeSurvivorSubAnimInstance.generated.h"

class UAnimSequence;

UCLASS(Blueprintable, NonTransient)
class USteamPipeSurvivorSubAnimInstance : public UBaseSurvivorAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	bool _isIdle;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	bool _isSteamed;

	UPROPERTY(EditAnywhere)
	FGameplayTag _asSteamPipeTag;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UAnimSequence* _asSteamPipe;

public:
	USteamPipeSurvivorSubAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const USteamPipeSurvivorSubAnimInstance) { return 0; }
